﻿/*
 * @Author: shiliu
 * @Date: 2022-02-21 11:21:02
 * @LastEditTime: 2022-02-21 11:21:04
 * @LastEditors: shiliu
 * @Description: 
 */
/**
 * @file tuya_device.h
 * @brief tuyaos quick start demo
 * @version 1.0
 * @date 2022-02-18
 *
 * @copyright Copyright 2021-2031 Tuya Inc. All Rights Reserved.
 *
 */

#ifndef __TUYA_DEVICE_H__
#define __TUYA_DEVICE_H__

/***********************************************************************
 ** INCLUDE                                                           **
 **********************************************************************/
#include "tuya_cloud_com_defs.h"

#ifdef __cplusplus
extern "C" {
#endif

/***********************************************************************
 ** CONSTANT ( MACRO AND ENUM )                                       **
 **********************************************************************/
#ifdef _TUYA_DEVICE_GLOBAL
    #define _TUYA_DEVICE_EXT 
#else
    #define _TUYA_DEVICE_EXT extern
#endif /* _TUYA_DEVICE_GLOBAL */ 

// #ifndef APP_BIN_NAME
//     #define APP_BIN_NAME "tuyaos_demo_quickstart_806"
// #endif
// #ifndef USER_SW_VER
//     #define USER_SW_VER "1.0.0"
// #endif

/* device information define */
#define DEV_SW_VERSION USER_SW_VER
//#define PRODECT_ID "fa6ba3bn4chupbck"
#define PRODECT_ID "uiiyltkjmkhwumga"
// 应用开启快速上下电3次配网
#define ENABLE_APP_RST_CFG 1

// 应用支持tuyaos 3.x编译
#define ENABLE_TUYA_OS_3 1 

// 应用开启wifi低功耗
#define ENABLE_APP_WIFI_LOWPOWER 1
// #define ENABLE_APP_CPU_DEEP_SLEEP 1

/***********************************************************************
 ** STRUCT                                                            **
 **********************************************************************/


/***********************************************************************
 ** VARIABLE                                                          **
 **********************************************************************/


/***********************************************************************
 ** FUNCTON                                                           **
 **********************************************************************/

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /*__TUYA_DEVICE_H__*/
